Subject: Re: Problems compiling perl module Compress-Zlib with perl
From: Steve Kelem <[email-masked]>
To: "Charles S. Wilson" <[email-masked]>
Cc: Christopher Faylor <[email-masked]>, Cygwin <[email-masked]>
Date: Sun, 17 Dec 2000 11:22:29 -0800

Charles S. Wilson wrote:

> Steve Kelem wrote:
> 
>> Charles S. Wilson wrote:
>> 
>>> Looks like your gcc and binutils are not correctly installed.  Please
>>> send the output of 'cygcheck -s -v -r' and of 'touch foo.c && gcc
>>> --verbose -c foo.c' to the list.
>>> 
>>> --Chuck
>>> 
>>> 
>> I uninstalled and reinstalled the cygwin software.  Now I'm back to my
>> original compilation problem, which looks like a C compiler problem.
>> 
>> LD_RUN_PATH="" ld2 -o blib/arch/auto/Compress/Zlib/Zlib.dll
>> -L/usr/local/lib Zlib.o  ../zlib-1.1.3/libz.a
>> /usr/local/lib/perl5/5.6.0/cygwin/CORE/libperl5_6_0.a
>> 
>> dllwrap --dllname Zlib.dll --driver-name gcc --dlltool dlltool
>> --export-all-symbols --as as --output-def libZlib.def --output-lib
>> libZlib.a \
>> -L/usr/local/lib Zlib.o ../zlib-1.1.3/libz.a
>> /usr/local/lib/perl5/5.6.0/cygwin/CORE/libperl5_6_0.a
>> dllwrap: no export definition file provided
>> dllwrap: creating one, but that may not be what you want
>> collect2: installation problem, cannot exec `/home/kelem/bin/sh/ld': No
>> such file or directory
> 
> 
> What is this /home/kelem/bin/sh/ld ??  collect2 *should* be calling
> /usr/bin/ld.exe.  

I have a file called ld.sh.  Why is it being invoked?  I don't have a 
file called ld or ld.exe.
I tried deleting the file, and I get the same result.

Steve

--
Want to unsubscribe from this list?
Send a message to [email-masked]